<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>Science and Engineering Ethics (2001) 7, 231-238</title>
</head>
<body>
	<h1>Software Engineering Code of Ethics and Professional Practice</h1>
	<h3>IEEE-CS/ACM Joint Task Force on Software Engineering Ethics and Professional
	<br> Practices</h3>
	<hr>

	<p><strong>Keywords</strong>: code of ethics, professional responsibility, software engineering</p>

	<h3>PREAMBLE</h3>
	<p>The short version of the code summarizes aspirations at a high level of abstraction. The clauses that are
	<br>
	 included in the full version give examples and details of how these aspirations change the way we
	 <br>
	  act as software engineering professionals. Without the aspirations, the details can become legalistic
	 <br>
	  and tedious; without the details, the aspirations can become high-sounding but empty; together, the
	  <br>
	   aspirations and the details for a cohesive code.</p>
</body>
</html>